%if %{mdkversion} > 1000
%define __libtoolize /bin/true
%endif
%define __cputoolize /bin/true

%define official_branding 1

%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %{official_branding}
%define oname Mozilla Thunderbird
%else
%define oname Mail/News
%endif

%define tbdir %{_libdir}/%{name}-%{version}
%define tbextdir %{tbdir}-extensions

%define tbextuuid \{847b3a00-7ab1-11d4-8f02-006008948af5\}
%define xpi 0
%define enigmail_version 0.94.0

%define _provides_exceptions libgtkembedmoz.so\\|libxpcom.so
%define _requires_exceptions libgtkembedmoz.so\\|libxpcom.so

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

# FIXME: Bug in nsExtensionManager.js prevents using x86_64 as arch
# FIXME: I tried to modify nsExtensionManager.js.in, but it
# FIXME: complained that I had modified it
%ifarch %{ix86}
%define tbarch x86
%else
%ifarch x86_64
%define tbarch amd64
%else
%define tbarch %{_arch}
%endif
%endif

Summary:	A full-featured email, RSS, and newsgroup client
Name:		mozilla-thunderbird
Version:	1.5.0.7
Release:	%mkrel 1
Epoch:		0
URL:		http://www.mozilla.org/projects/thunderbird/
License:	MPL
Group:		Networking/Mail
Source0:        http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/source/thunderbird-%{version}-source.tar.bz2
Source10:       mozilla-thunderbird-mozconfig
Source11:       mozilla-thunderbird-mozconfig-branded
Source12:       mozilla-thunderbird-mandriva-default-prefs.js
Source21:       mozilla-thunderbird.sh.in
# This is a larger icon than in `other-licenses/branding/thunderbird'
Source22:       mozilla-thunderbird-official.png
Source30:       mozilla-thunderbird-open-browser.sh

# Mandriva sources (Source300+)
Source300:      http://www.mozilla-enigmail.org/downloads/src/enigmail-%{enigmail_version}.tar.bz2
Source301:      %{name}-icons.tar.bz2
Source302:      mozilla-thunderbird-unofficial.png

# Build patches
Patch2:         mozilla-firefox-1.0-prdtoa.patch.bz2
Patch4:         mozilla-firefox-1.5-with-system-nss.patch.bz2
Patch5:         mozilla-firefox-1.1-visibility.patch.bz2
Patch6:         mozilla-firefox-1.1-nss-system-nspr.patch.bz2

Patch10:        mozilla-thunderbird-0.7.3-psfonts.patch.bz2
Patch11:        mozilla-thunderbird-0.7.3-gnome-uriloader.patch.bz2

# customization patches
Patch24:        mozilla-thunderbird-0.8-default-applications.patch.bz2
Patch25:        mozilla-thunderbird-1.1-software-update.patch.bz2

# local bugfixes
Patch42:        mozilla-firefox-1.1-uriloader.patch.bz2

# font system fixes
Patch81:        mozilla-firefox-nopangoxft.patch.bz2

# Debian patches (Patch200+)
Patch200:       mozilla-thunderbird-gtk-settings.patch.bz2
Patch210:       mozilla-thunderbird-enigmail-remove-seamonkey-skin.patch.bz2
Patch211:       mozilla-thunderbird-enigmail-no-upgrade.patch.bz2
Patch212:       mozilla-thunderbird-enigmail-ui-content-contents-rdf.patch.bz2
Patch213:       mozilla-thunderbird-enigmail-build-package-contents-rdf.patch.bz2
Patch214:       mozilla-thunderbird-enigmail-fix.patch.bz2

# Mandriva patches (Patch300+)
Patch300:       mozilla-thunderbird-0.8-progname.patch.bz2
Patch301:       mozilla-thunderbird-enigmail-package.patch.bz2
Patch302:       mozilla-thunderbird-check-default-mailer.patch.bz2
Patch304:       mozilla-thunderbird-run-mozilla.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       mozilla-nspr >= 0:1.5, mozilla-nss >= 0:1.5
%if !%build_for_corp3
BuildRequires:  cairo-devel
%endif
BuildRequires:	libpng-devel, libjpeg-devel, gtk2-devel
BuildRequires:	zlib-devel, gzip, zip, unzip
BuildRequires:  nspr-devel >= 0:1.5
BuildRequires:  nss-devel >= 0:1.5
BuildRequires:	libIDL-devel
# Needed by xmlterm (not built) and unused enigmail scripts
#BuildRequires:	tcsh
BuildRequires:	freetype2-devel
%if %{mdkversion} >= 200610
BuildRequires:	xft2-devel
BuildRequires:	libxt-devel
%else
BuildRequires:	libXft2-devel
%endif
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires(post):	mktemp
Requires(post): rpm-helper
Requires(postun): rpm-helper
%if %{official_branding}
BuildRequires:	ImageMagick
%endif

%description
%{oname} is a full-featured email, RSS and newsgroup client that
makes emailing safer, faster and easier than ever before.

#===============================================================================

%package devel
Summary:        Development binaries, headers, and IDL files 
Group:          Networking/Mail
Requires:       %{name} = %{epoch}:%{version}

%description devel
This packages contains the development binaries, headers, and IDL
files which are necessary for building extensions.

#===============================================================================

%package enigmail
Summary:        Access the authentication and encryption features provided by GnuPG
Group:          Networking/Mail
Requires:       %{name} = %{epoch}:%{version}
Obsoletes:      %{name}-enigmime
Provides:       %{name}-enigmime = %{epoch}:%{version}
Requires:       gnupg
Requires(post): %{name} = %{epoch}:%{version}
Requires(preun): %{name} = %{epoch}:%{version}
Requires(post):	mktemp
Requires(postun): mktemp

%description enigmail
Enigmail is an extension to the mail client of %{oname}
which allows users to access the authentication and encryption
features provided by GnuPG.

Main Features

    * Encrypt/sign mail when sending, decrypt/authenticate received
      mail
    * Support for inline-PGP (RFC 2440) and PGP/MIME (RFC 3156)
    * Per-Account based encryption and signing defaults
    * Per-Recipient rules for automated key selection, and
      enabling/disabling encryption and signing
    * OpenPGP key management interface

#===============================================================================

%package -n nsinstall
Summary:        Netscape portable install command
Group:          Development/Other

%description -n nsinstall
Netscape portable install command.

#===============================================================================

%prep
%setup -q -c -n %{name}-%{version}
%setup -q -T -D -n %{name}-%{version}/mozilla

%patch2 -p1
%patch4 -p1

# See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20297
%ifnarch %{ix86}
%patch5  -p0
%endif

%patch6 -p1
%patch10 -p1 -b .psfonts
%patch11 -p1 -b .gnome-uriloader
%patch24 -p1
%patch25 -p0
%patch42 -p0
%patch81 -p1

%patch200 -p1

%patch300 -p1 -b .progname
%patch301 -p1 -b .enigmailpackage
%patch302 -p1 -b .check
%patch304 -p1 -b .run-mozilla

#===============================================================================

%setup -q -T -D -n %{name}-%{version}/mozilla/extensions -a300
%patch210 -p2 -b .enigmail-remove-seamonkey-skin
%patch211 -p2 -b .enigmail-no-upgrade
%if 0
%patch212 -p2 -b .enigmail-ui-content-contents-rdf
%patch213 -p2 -b .enigmail-build-package-contents-rdf
%endif
%patch214 -p2 -b .enigmail-fix
%if !%{official_branding}
%setup -q -T -D -n %{name}-%{version}/mozilla -a301
%endif
%setup -q -T -D -n %{name}-%{version}/mozilla

#===============================================================================

%{__rm} -f .mozconfig
%{__cp} %{SOURCE10} .mozconfig
%{__perl} -pi -e 's|MOZILLA_FIVE_HOME|%{tbdir}|' .mozconfig
%if %{official_branding}
%{__cat} %{SOURCE11} >> .mozconfig
%endif

#===============================================================================

%build
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1
%if %{mdkversion} <= 1020
%if !%build_for_corp3
export CPPFLAGS="-I%{_includedir}/cairo"
%endif
%endif
%if %build_for_corp3
%configure2_5x --disable-pango --disable-system-cairo
%else
%configure2_5x
%endif
# Fix ABI for thunderbird and enigmail
%{__perl} -pi -e 's|^TARGET_XPCOM_ABI =.*|TARGET_XPCOM_ABI = %{tbarch}-gcc3|' config/autoconf.mk
#%{__perl} -pi -e 's|^ENIG_XPCOM_ABI =.*|ENIG_XPCOM_ABI = Linux_%{tbarch}-gcc3|' extensions/enigmail/Makefile
# Compress jars
%{__perl} -pi -e 's|\-0|\-9|g' config/make-jars.pl
%make

#===============================================================================

cd extensions/enigmail
for i in `find . -type f -name Makefile.in`; do
    if [ -f $i.bak ]; then
        cp $i.bak $i
    else
        %{__cp} $i $i.bak
    fi
    %{__perl} -pi -e 's|^(DEPTH.*= )../|\1|;' $i
done
./makemake -r
%make LOCAL_INCLUDES+="-I\$(DEPTH)/mailnews/mime/src -I\$(DEPTH)/extensions/enigmail/build -I\$(DEPTH)/extensions/enigmail/src -I\$(DEPTH)/extensions/enigmail/ipc/build -I\$(DEPTH)/extensions/enigmail/ipc/src" 
(cd lang
 %{__perl} -pi -e 's|es-AR/enigmail.properties|es-ES/enigmail.properties|' jar.mn
 %make LOCAL_INCLUDES+="-I\$(DEPTH)/mailnews/mime/src -I\$(DEPTH)/extensions/enigmail/build -I\$(DEPTH)/extensions/enigmail/src -I\$(DEPTH)/extensions/enigmail/ipc/src" 
)
%make xpi
cd ../..

#===============================================================================

%install
%{__rm} -rf %{buildroot}

(cd mail/installer && %make STRIP=/bin/true)

%{__mkdir_p} %{buildroot}{%{_libdir},%{_bindir},%{_datadir}/applications}

%{__tar} -C %{buildroot}%{_libdir}/ -xzf dist/thunderbird-*linux*.tar.gz
%{__mv} %{buildroot}%{_libdir}/thunderbird %{buildroot}%{tbdir}

%{__rm} -f %{buildroot}%{_libdir}/thunderbird-*linux*.tar

%if %{official_branding}
%{__install} -p -D %{SOURCE22} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%else
%{__install} -p -D %{SOURCE302} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%endif

cat << EOF > %{buildroot}/%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%{oname}
GenericName=Mail/News
Comment=Mail and News Client
Exec=%{name}
Icon=mozilla-thunderbird
Terminal=false
Type=Application
StartupWMClass=Thunderbird-bin
Categories=GTK;Network;News;Email;Office;X-MandrivaLinux-Internet-Mail;
EOF

# set up the thunderbird start script
%{__cat} %{SOURCE21} | %{__perl} -p -e 's,thunderbird-TBIRD_VERSION,%{name}-%{version},g' > \
  %{buildroot}%{_bindir}/%{name}
%{__chmod} 755 %{buildroot}/%{_bindir}/%{name}
(cd %{buildroot}%{_bindir} && %{__ln_s} %{name} thunderbird)

%{__perl} -pi -e 's|^moz_libdir=.*|moz_libdir=%{tbdir}|' %{buildroot}/%{tbdir}/thunderbird

%{__install} -m 755 %{SOURCE30} %{buildroot}/%{tbdir}/open-browser.sh
%{__perl} -pi -e 's|LIBDIR|%{_libdir}|g' %{buildroot}/%{tbdir}/open-browser.sh

%{__cat} %{SOURCE12} | %{__perl} -p -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g;' \
                                    -e 's,THUNDERBIRD_VENDOR_COMMENT,%{mandriva_release},g;' \
                                    -e 's,COMMAND,%{tbdir}/open-browser.sh,g' > \
  %{buildroot}/mdv-default-prefs
%{__cp} -a %{buildroot}/mdv-default-prefs %{buildroot}/%{tbdir}/greprefs/all-mandriva.js
%{__cp} -a %{buildroot}/mdv-default-prefs %{buildroot}/%{tbdir}/defaults/pref/all-mandriva.js
%{__rm} -f %{buildroot}/mdv-default-prefs

# fix permissions
%{__chmod} 644 %{buildroot}%{tbdir}/LICENSE.txt

#===============================================================================

# menu
%{__mkdir_p} %{buildroot}%{_menudir}
%{__cat} > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \\
command="%{_bindir}/%{name}" \\
needs="X11" \\
icon="%{name}.png" \\
section="Internet/Mail" \\
%if %{official_branding}
title="%{oname}" \\
%else
title="Mail and News" \\
%endif
longtitle="Mail and News Client" \
xdg="true"
EOF

# icons
%{__mkdir_p} %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/{64x64,128x128}/apps
%if %{official_branding}
%{_bindir}/convert %{SOURCE22} -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png
%{_bindir}/convert %{SOURCE22} -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
%{_bindir}/convert %{SOURCE22} -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
%{_bindir}/convert %{SOURCE22} -resize 128x128 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_bindir}/convert %{SOURCE22} -resize 64x64 %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%else
%{__install} -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
# Converting up, but not a big issue now that we have official branding
%{_bindir}/convert %{name}-48.png -resize 128x128 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_bindir}/convert %{name}-48.png -resize 64x64 %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%endif

#===============================================================================

%{__cp} -aL dist/bin/thunderbird-config %{buildroot}%{_bindir}/%{name}-config
%{__perl} -pi -e 's|thunderbird-%{version}|%{name}-%{version}|g' %{buildroot}%{_bindir}/%{name}-config

pushd dist
%{__mkdir_p} %{buildroot}%{_includedir}/%{name}-%{version}
%{__cp} -aL include/* %{buildroot}%{_includedir}/%{name}-%{version}
%{__mkdir_p} %{buildroot}%{_datadir}/idl/%{name}-%{version}
%{__cp} -aL idl/* %{buildroot}%{_datadir}/idl/%{name}-%{version}
popd

pushd dist/sdk
%{__mkdir_p} %{buildroot}%{_libdir}/%{name}-%{version}
%{__cp} -aL bin/* %{buildroot}%{_libdir}/%{name}-%{version}
%{__mkdir_p} %{buildroot}%{_includedir}/%{name}-%{version}
%{__cp} -aL include/* %{buildroot}%{_includedir}/%{name}-%{version}
%{__mkdir_p} %{buildroot}%{_datadir}/idl/%{name}-%{version}
%{__cp} -aL idl/* %{buildroot}%{_datadir}/idl/%{name}-%{version}
popd

%if !%build_for_corp3
%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/mozilla-config.h
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/js/jsautocfg.h
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_aix32.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_aix64.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_beos.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_darwin.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_dgux.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_hpux32.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_hpux64.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_irix32.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_irix64.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_ncr.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_nec.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_nto.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_openvms.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_os2.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_osf1.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_qnx.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_reliantunix.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_rhapsody.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_riscos.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_scoos.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_sony.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_sunos4.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_unixware.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_unixware7.cfg
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/nspr/md/_win16.cfg
%endif

#===============================================================================

%{__mkdir_p} %{buildroot}%{tbextdir}
%if !%{xpi}
%{__mkdir_p} %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{_bindir}/unzip dist/bin/enigmail-%{enigmail_version}-linux-*.xpi -d %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{__chmod} 644 %{buildroot}%{tbdir}/extensions/%{tbextuuid}/chrome.manifest
%else
%{__cp} -aL dist/bin/enigmail-%{enigmail_version}-linux-*.xpi %{buildroot}%{tbextdir}
%endif

#===============================================================================

touch %{buildroot}%{tbdir}/chrome/app-chrome.manifest
%{__chmod} 644 %{buildroot}%{tbdir}/chrome/app-chrome.manifest
touch %{buildroot}%{tbdir}/components/compreg.dat
%{__chmod} 644 %{buildroot}%{tbdir}/components/compreg.dat
touch %{buildroot}%{tbdir}/components/xpti.dat
%{__chmod} 644 %{buildroot}%{tbdir}/components/xpti.dat

#===============================================================================

# remove files already packaged as system libs
%{__rm} %{buildroot}%{tbdir}/{libnspr4.so,libplc4.so,libplds4.so}
%{__rm} %{buildroot}%{tbdir}/{libnss3.so,libnssckbi.so,libsmime3.so,libsoftokn3.so,libssl3.so,libsoftokn3.chk}

%{__chmod} 644 %{buildroot}%{tbdir}/defaults/pref/enigmail.js
%{__perl} -pi -e 's|agentPath",""|agentPath","%{_bindir}/gpg"|' %{buildroot}%{tbdir}/defaults/pref/enigmail.js

%{__cp} -aL dist/bin/nsinstall %{buildroot}%{_bindir}

#===============================================================================

%clean
%{__rm} -rf %{buildroot}

#===============================================================================

%post
%{update_menus}
%if %mdkversion > 200600
%{_bindir}/update-desktop-database %{_datadir}/applications
%endif

%create_ghostfile %{tbdir}/chrome/app-chrome.manifest root root 644
%create_ghostfile %{tbdir}/components/compreg.dat root root 644
%create_ghostfile %{tbdir}/components/xpti.dat root root 644

if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

%if %build_for_corp3
mktemp="/bin/mktemp -d -q /tmp/%{name}.XXXXXXXXXX"
%else
mktemp="/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX"
%endif

TMPDIR= TB_TMPDIR=`$mktemp` && {
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


%postun
%{clean_menus}
%if %mdkversion > 200600
%{_bindir}/update-desktop-database %{_datadir}/applications
%endif
if [ "$1" = "0" -a -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


#===============================================================================

%post enigmail
if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

%if %build_for_corp3
mktemp="/bin/mktemp -d -q /tmp/%{name}.XXXXXXXXXX"
%else
mktemp="/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX"
%endif

TMPDIR= TB_TMPDIR=`$mktemp` && {
%if %{xpi}
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/enigmail-%{enigmail_version}-linux-*.xpi
%endif
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

%preun enigmail
if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

if [ -x %{tbdir}/thunderbird-bin ]; then 
%if %build_for_corp3
mktemp="/bin/mktemp -d -q /tmp/%{name}.XXXXXXXXXX"
%else
mktemp="/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX"
%endif

  TMPDIR= TB_TMPDIR=`$mktemp` && {
  %if %{xpi}
      HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/enigmail-%{enigmail_version}-linux-*.xpi
  %endif
      HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
      test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
  }
fi

#===============================================================================

%files
%defattr(-,root,root,-)
%doc LEGAL
%attr(755,root,root) %{_bindir}/mozilla-thunderbird
%attr(755,root,root) %{_bindir}/thunderbird
%attr(644,root,root) %{_datadir}/applications/*.desktop
%attr(644,root,root) %{_datadir}/pixmaps/%{name}.png
%ghost %{tbdir}/chrome/app-chrome.manifest
%ghost %{tbdir}/components/compreg.dat
%ghost %{tbdir}/components/xpti.dat
%{tbdir}
%if %{xpi}
%dir %{tbextdir}
%endif
# Mandriva menu
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
# other icons
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
# devel
%exclude %{tbdir}/regxpcom
%exclude %{tbdir}/xpidl
%exclude %{tbdir}/xpt_dump
%exclude %{tbdir}/xpt_link
# enigmail
%exclude %{tbdir}/enigmail-%{enigmail_version}-linux-*.xpi
%if !%{xpi}
%exclude %{tbdir}/extensions/%{tbextuuid}
%endif
%exclude %{tbdir}/components/enigmail.js
%exclude %{tbdir}/components/enigmail.xpt
%exclude %{tbdir}/components/enigprefs-service.js
%exclude %{tbdir}/chrome/enigmail.jar
%exclude %{tbdir}/chrome/enigmail-skin-tbird.jar
%exclude %{tbdir}/defaults/pref/enigmail.js
%exclude %{tbdir}/defaults/preferences/enigmail.js
%exclude %{tbdir}/chrome/enigmail-??-??.jar
# enigmime
%exclude %{tbdir}/components/enigmime.xpt
%exclude %{tbdir}/components/ipc.xpt
%exclude %{tbdir}/components/libenigmime.so
%exclude %{tbdir}/chrome/enigmime.jar

%files devel
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/%{name}-config
%if !%build_for_corp3
%attr(755,root,root) %{multiarch_bindir}/%{name}-config
%{multiarch_includedir}/%{name}-%{version}/mozilla-config.h
%{multiarch_includedir}/%{name}-%{version}/js/jsautocfg.h
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_aix32.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_aix64.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_beos.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_darwin.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_dgux.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_hpux32.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_hpux64.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_irix32.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_irix64.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_ncr.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_nec.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_nto.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_openvms.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_os2.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_osf1.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_qnx.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_reliantunix.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_rhapsody.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_riscos.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_scoos.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_sony.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_sunos4.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_unixware.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_unixware7.cfg
%{multiarch_includedir}/%{name}-%{version}/nspr/md/_win16.cfg
%endif
%attr(755,root,root) %{tbdir}/regxpcom
%attr(755,root,root) %{tbdir}/xpidl
%attr(755,root,root) %{tbdir}/xpt_dump
%attr(755,root,root) %{tbdir}/xpt_link
%{_includedir}/%{name}-%{version}
%{_datadir}/idl/%{name}-%{version}

%files enigmail
%defattr(-,root,root)
%if !%{xpi}
%{tbdir}/extensions/%{tbextuuid}
%else
%{tbextdir}/enigmail-%{enigmail_version}-linux-*.xpi
%endif

%files -n nsinstall
%defattr(-,root,root)
%{_bindir}/nsinstall

#===============================================================================

%changelog
* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.7-1mdv2007.0
- Release 1.5.0.7 (security update)
- remove patch305, merged upstream

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.5-3mdv2007.0
- allow build for 2006 and corp3 (Vincent Danen)
 - fix the %%post scripts wrt mktemp because corp3 has an older mktemp
 - have to do some fiddling to get the right mkrel tag for corp3 and use
   %%build_for_corp3 to make it build properly
 - only do the xdg stuff for %%mkdversion > 200600
 - this should build for all supported distros so we need the tags

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.5-2mdv2007.0
- Fix xdg tag
- fix enigmail postun script

* Thu Aug 03 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.5-1mdv2007.0
- 1.5.0.5
- quiet all %%setup macros

* Sat Jul 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.5.0.4-5
- add BuildRequires: libxt-devel

* Sun Jun 18 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.4-4mdv2007.0
- add symlink: thunderbird -> mozilla-thunderbird

* Sat Jun 17 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.4-3mdv2007.0
- use BuildRequires: xft2-devel instead of BuildRequires: libxft2-devel

* Tue Jun 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.4-2mdv2007.0
- Remove source20, inline .desktop file into specfile and fix it and migrate
  to new XDG
- fix buildrequires for Mdk 2006

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.4-1mdv2007.0
- 1.5.0.4

* Sat Apr 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.5.0.2-2mdk
- fix directory level for patch2

* Fri Apr 21 2006 David Walluck <walluck@mandriva.org> 0:1.5.0.2-1mdk
- 1.5.0.2
- nable inspector, pref, and typeaheadfind extensions

* Mon Apr 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-11mdk
- Add calls to gtk-update-icon-cache, all packages adding icons
  into theme icon directory must run it at post/postun

* Sun Apr 09 2006 David Walluck <walluck@mandriva.org> 0:1.5-10mdk
- add 64x64 and 128x128 icons (bug #21916)

* Wed Apr 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-9mdk
- Enable official branding

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 0:1.5-8mdk
- version nspr and nss BuildRequires
- add versioned nspr and nss Requires

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-7mdk
- fix freetype buildrequires
- Update source12, remove patch303, follow system locale

* Wed Feb 15 2006 David Walluck <walluck@mandriva.org> 0:1.5-6mdk
- fix duplicate file ownership for enigmail
- fix file perms on enigmail chrome.manifest

* Fri Feb 10 2006 David Walluck <walluck@mandriva.org> 0:1.5-5mdk
- package enigmail as an xpi

* Thu Feb 09 2006 David Walluck <walluck@mandriva.org> 0:1.5-4mdk
- fix error in run-mozilla.sh

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:1.5-3mdk
- move soundwrapper call to run-mozilla.sh
- fix unofficial icons

* Wed Feb 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.5-2mdk
- add BuildRequires: desktop-file-utils

* Fri Jan 20 2006 David Walluck <walluck@mandriva.org> 0:1.5-1mdk
- 1.5
- add back devel package
- merge enigmail and enigmime packages

* Wed Dec 21 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.7-4mdk
- fix build on 10.2 (club request)

* Sat Oct 15 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.0.7-3mdk
- fix version in nss-devel build dependency

* Thu Oct 13 2005 Frederic Crozat <fcrozat@mandriva.com> 0:1.0.7-2mdk
- Don't package i18n pack which are already in separate packages (anne)
- Don't package empty directories
- clean up prereq dependencies
- prevent failing when uninstall packages 
- force HOME value in rebuild-database script

* Fri Oct 07 2005 David Walluck <walluck@mandriva.org> 0:1.0.7-1mdk
- 1.0.7
- enigmail 0.93.0
- sync patches
- remove old build date

* Fri Sep 16 2005 David Walluck <walluck@mandriva.org> 0:1.0.6-7mdk
- enable xprint (#18412)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-6mdk
- Patch114 (CVS): fix idn crash

* Mon Sep 05 2005 David Walluck <walluck@mandriva.org> 1.0.6-5mdk
- be sure to register enigmail extension (bug #14809)
- remove enigmail seamonkey skin and add enigmail tbird skin
- disable enigmail upgrade hotkey
- set PREF_JS_EXPORTS=prefs/enigmail.js in enigmail Makefile
- add post/preun scripts for enigmime.jar
- add other enigmail langs besides en-US

* Fri Sep 02 2005 David Walluck <walluck@mandriva.org> 0:1.0.6-4mdk
- try to avoid conflicts with mozilla libraries
- remove lang directories as to not conflict with standalone rpms

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-3mdk
- Update patch6 (pango is now used by default)
- Update source8 (no longer remove cache at startup, change pango variable)
- Update patch36 to remove last reference to pango-xft

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-2mdk
- Add patches from Firefox package :
 - Patch33: fix clipped text rendering with Pango 
 - Patch34: fix cursor positionning in textarea 
 - Patch35: fix bidi justification with pango 
 - Patch36: fix last Xft references 
 - Patch37: fix pango underline displayed as overstrike in CJK
 - Patch107: fix position of IM candidate window
 - Patch108: properly link with gfxshared
 - Patch109: fix warning with latest GTK
 - Patch110: file chooser is now modal
 - Patch111: fix crash with latest GTK
 - Patch112: add support for freedesktop mime-info
 - Patch113: fix bad aliasing with gcc4 on x86-64 (Moz bug #293307) (CVS)

* Wed Jul 20 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.6-1mdk
- New release 1.0.6
- drop p8,p104,p105,p107,p108 (integrated upstream)
- enigmail 0.92.0, ipc 1.1.3
- fix conditional %%mkrel definition

* Fri Apr 22 2005 David Walluck <walluck@mandriva.org> 0:1.0.2-3mdk
- merge patches from Fedora
- remove devel package
- fix gpg path

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Patch8 (CVS): fix JS vulnerability (Moz bug #288688)
- Patch9 (Fedora) : add env variable to disable GNOME url handler 
- Update source5 to set HOME is not set

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2 (security fix)

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-9mdk
- Patch5: fix compilation with system nspr
- Patch6: quiet extension manager (Firefox package)
- Patch7: fix extension manager (Firefox package)
- Change build directory to allow parallel build with other moz products
- build against libnspr4/libnss3 from firefox
- Remove alternative on mozilla-config

* Mon Mar 14 2005 David Walluck <walluck@mandrake.org> 0:1.0-8mdk
- lang patch from Yuri Bugelli <yuri.bugelli@virgilio.it>

* Tue Feb 15 2005 Couriousous <couriousous@mandrake.org> 0:1.0-7mdk
- Fix dictionary detection ( don't take hyph )

* Mon Feb 14 2005 David Walluck <walluck@mandrake.org> 0:1.0-6mdk
- enigmail 0.90.0
- %%multiarch
- "fix" requires-on-release
- Requires: myspell-dictionary
- %%mkrel (thanks Buchan Milne)
- add patch for locale detection (thanks Couriousous)
- add patch for mozilla dictionary (thanks Couriousous)
- add patch for automatic locale detection (thanks Couriousous)

* Thu Dec 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-5mdk
- fix bug 12686, thanks to mightor

* Tue Dec 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- don't try to register as default mail client on startup 

* Thu Dec  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-3mdk
- add missing file
- fix enigmail installation

* Tue Dec 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-2mdk
- fix build on 10.1
- distro-specific release tag

* Tue Dec  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- update enigmail
- new version

* Thu Dec  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc.2mdk
- fix post script

* Thu Dec  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc.1mdk
- upgrade enigmail
- remove soundwrapper
- fix post script (from firefox package)
- new version

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- update ipc
- add gpg signature
- fix source URL
- New release 0.9

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-4mdk
- drop xvfb hack, call thunderbird-bin -register instead
- upgrade enigmail to 0.86.1

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-3mdk
- update release notes
- update enimail

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix URL
- fix binary name

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- fix installation
- fix URL
- New release 0.8

* Fri Aug 06 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.3-2mdk
- enigmail 0.85.0
- merge fixes from Club (Thu Jul 01 2004 0.7.1-0.100.1mdk)
 - enigmail 0.84.2, ipc 1.0.7
 - fix scripts to not remove entries just added, and not use scripts we just
   uninstalled (preuninstead of postun).

* Thu Aug  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- increase sleep time in the postinstall script
- New release 0.7.3

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- use hacks from the fedora package to run mozilla-thunderbird as root first
- New release 0.7.2

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- compress source 6
- reenable libtoolize on Cooker
- fix 10.0 build
- New release 0.7.1

* Mon Jun 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk
- dropped patch0, fixed upstream (Sebastian Dransfeld <sebastian.dransfeld@ntnu.no>)

* Fri Jun 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk 
- new version
- --enable-single-profile

* Sat Jun 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-2mdk
- BuildRequires autoconf2.1

* Thu May 20 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-1mdk
- 0.6
- rediff patch0
- some cleaning, some more should be done

* Sun Feb 29 2004  David Walluck <walluck@linux-mandrake.com> 0:0.5-12mdk
- mozilla-rebuild-databases.pl should always be there, even for enigmail
  and enigmime packages
- ditto for installed-chrome.txt

* Sun Feb 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5-11mdk
- moved alternatives installation to devel package %%post 
- don't test for mozilla-rebuild-databases.pl presence, it is included

* Wed Feb 25 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-10mdk
- install mozilla-rebuild-databases.pl
- enigmail chrome should only be installed in %%post and not in %%install
- remove enigmail lang support as per mozilla-enigmail package
- remove old enigmail chrome on enigmail package install/upgrade
- always install enigmail chrome on enigmail package install/upgrade

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-9mdk
- don't own mozilla-config

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:0.5-8mdk
- fix file list

* Mon Feb 23 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-7mdk
- use %%configure
- fix enigmail lang jar creation
- remove %%{builddate} macro, but still set MOZ_BUILD_DATE
- alternativize mozilla-config and pkgconfig files
- don't enable cpp-rtti

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-6mdk
- fix permissions on patch

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-5mdk
- fix conflict with other mozilla's (Frederik Himpe)

* Sun Feb 15 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-4mdk
- use official CVS tagged release (dos2unix no longer needed)
- no more debian patch (I'm not sure which version this applies to)
- compress jars
- split off enigmail and enigmime packages
- add missing enigprefs-service.js to enigmail package
- change menu group for mdk 10.0
- enable xinerama extension as in mozilla-firebird package
- add %%{builddate} macro
- add %%{build_name} macro as in mozilla-firebird package
- add epochs
- Mark Baas <m.baas@zarb.org> contributed heavily to this spec file,
  including updating for 0.5, contributing icons, and initial
  enigmail support

* Sun Feb 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5-3mdk
- Ship original source and dos2unix it (instead of hacked-up source tarball)

* Thu Feb 12 2004 Christophe Guilloux <cg-ml@rootix.info> 0.5-2mdk
- based on 0.3-1mdk

* Thu Oct 16 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.3-1mdk
- First Mandrake package, based on mozilla-firebird-0.6.1-6mdk
